org.apache.jmeter.report.processor.graph

## Class IndexedNameSelector

- java.lang.Object
- - org.apache.jmeter.report.processor.graph.IndexedNameSelector

- All Implemented Interfaces:
    SampleSelector<java.lang.Double>, GraphKeysSelector

      public class IndexedNameSelector
      extends java.lang.Object
      implements GraphKeysSelector

  The class IndexedNameSelector provides a projection from a sample to its name and maintains an index of the projected names.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexedNameSelector()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getNames()` Gets the names.
    `java.lang.Double` | `select(Sample sample)` Do the projection from the specified sample

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexedNameSelector

          public IndexedNameSelector()

  - ### Method Detail

    - #### getNames

          public final java.util.List<java.lang.String> getNames()

      Gets the names.
      Returns:
        the names

    - #### select

          public java.lang.Double select(Sample sample)

      Description copied from interface: `SampleSelector`
      Do the projection from the specified sample
      Specified by:
        `select` in interface `SampleSelector<java.lang.Double>`
      Parameters:
        `sample` - the sample
      Returns:
        the projection result

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.